Subject: Re: bug#52705: 29.0.50; Flashing popups when x-gtk-use-system-tooltips is nil

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 22 Dec 2021 15:37:00 +0100

Aleksandr Vityazev <[email-masked]> writes:

> Emacs is built from this commit -
> 264589cdf762d015c8ecd102afb7eb61dc0ad65b.  Everything below is checked
> in emacs -Q.
>
> 1. (setq x-gtk-use-system-tooltips nil).
>
> 2. Enter the vc-dir of the project (C-x p v).
>
> 3. When I move the mouse cursor over the stash tooltip area, there are
> flashing popups containing only the background with no text, which
> disappear after I stop moving the mouse.

I'm unable to reproduce this on Debian/bookworm -- the tooltips show up
with text, and don't disappear.

>  --enable-fast-install --with-pgtk --without-libsystemd

But I tested in a non-pgtk build, so I guess it's a pgtk issue.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no